package net.ranides.test.mockup.reflection;

public class ForFluentBean {

    public static Object newHidden(String v) {
        return new Hidden(v);
    }

    private static class Hidden {

        private String v;

        public Hidden(String v) {
            this.v = v;
        }

        public String name() {
            return "hidden name";
        }

        public String getValue() {
            return v;
        }

        public void setValue(String v) {
            this.v = v;
        }

    }

}
